sasl

SASL information. More...

`#include <sasl.hpp>`

## Public Types

enum | outcome { NONE , OK , AUTH , SYS , PERM , TEMP }
| The result of the SASL negotiation. More...

## Public Member Functions

enum outcome | outcome () const
| Get the outcome.
std::string | user () const
| Get the user name.
std::string | mech () const
| Get the mechanism.

## Detailed Description

SASL information.

## Member Enumeration Documentation

## outcome

enum outcome

The result of the SASL negotiation.

Enumerator
NONE | Negotiation not completed.
OK | Authentication succeeded.
AUTH | Failed due to bad credentials.
SYS | Failed due to a system error.
PERM | Failed due to unrecoverable error.
TEMP | Failed due to transient error.

The documentation for this class was generated from the following file:

- proton/sasl.hpp